# Uses of Class
java.text.Format.Field

Packages that use Format.Field
Package
Description
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of Format.Field in java.text

Subclasses of Format.Field in java.text
Modifier and Type
Class
Description
`static class`
`DateFormat.Field`
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `DateFormat.formatToCharacterIterator` and as field identifiers in `FieldPosition`.
`static class`
`MessageFormat.Field`
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `MessageFormat.formatToCharacterIterator`.
`static class`
`NumberFormat.Field`
Defines constants that are used as attribute keys in the `AttributedCharacterIterator` returned from `NumberFormat.formatToCharacterIterator` and as field identifiers in `FieldPosition`.
Methods in java.text that return Format.Field
Modifier and Type
Method
Description
`Format.Field`
FieldPosition.`getFieldAttribute()`
Returns the field identifier as an attribute constant from one of the `Field` subclasses.
Constructors in java.text with parameters of type Format.Field
Modifier
Constructor
Description
``
`FieldPosition(Format.Field attribute)`
Creates a FieldPosition object for the given field constant.
``
`FieldPosition(Format.Field attribute, int fieldID)`
Creates a `FieldPosition` object for the given field.

## Uses of Format.Field in javax.swing.text

Methods in javax.swing.text that return Format.Field
Modifier and Type
Method
Description
`Format.Field[]`
InternationalFormatter.`getFields(int offset)`
Returns the `Format.Field` constants associated with the text at `offset`.